#ifndef	___TEXTURE_H___
#define	___TEXTURE_H___

#include "common.h"

#include <GLES2/gl2.h>
#include <GLES2/gl2ext.h>


namespace sys
{

/****************
    テクスチャ
 ****************/
class Texture
{
public :

// ピクセルフォーマット
enum
{
	FORMAT_RGBA,
	FORMAT_RGB,
};

	GLuint	texture;						// テクスチャオブジェクト
	short	format;							// テクスチャフォーマット
	short	width, height;					// サイズ

		Texture(void)						// コンストラクタ
		{
			texture = 0;
		}
		~Texture()							// デストラクタ
		{
			clear();
		}
	void	make(const u8*);				// 作成
	void	clear(void);					// 削除
	void	load_png(const u8*);			// PNG読み込み
};

}

#endif
/********************* End of File ********************************/
